Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 1387080 - CVE-2016-5195 kernel: mm: privilege escalation via MAP_PRIVATE COW breakage [fedora-all]
CVE-2016-5195 kernel: mm: privilege escalation via MAP_PRIVATE COW breakage [...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
25
All Linux
high Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Reopened, Security, SecurityTracking
: 1389260 (view as bug list)
Depends On:
Blocks: F25FinalBlocker CVE-2016-5195/DirtyCow
  Show dependency treegraph
 
Reported: 2016-10-19 23:24 EDT by Kurt Seifried
Modified: 2016-11-07 14:55 EST (History)
22 users (show)

See Also:
Fixed In Version: kernel-4.8.3-300.fc25 kernel-4.7.9-200.fc24 kernel-4.7.9-100.fc23
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-07 14:55:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kurt Seifried 2016-10-19 23:24:29 EDT
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Reproducers, if any, will remain confidential and never be made public, unless done so by the security team.

[bug automatically created by: add-tracking-bugs]
Comment 1 Kurt Seifried 2016-10-19 23:24:42 EDT
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1384344,1387080

# Description of your update
notes=Security fix for CVE-2016-5195

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new
Comment 2 Fedora Update System 2016-10-21 22:25:11 EDT
kernel-4.7.9-100.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-c3558808cd
Comment 3 Fedora Update System 2016-10-21 23:54:30 EDT
kernel-4.8.3-300.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-c8a0c7eece
Comment 4 Fedora Update System 2016-10-22 07:54:13 EDT
kernel-4.7.9-200.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-db4b75b352
Comment 5 Fedora Update System 2016-10-22 08:50:56 EDT
kernel-4.8.3-300.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2016-10-22 13:19:44 EDT
kernel-4.7.9-200.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2016-10-23 18:48:42 EDT
kernel-4.7.9-100.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 8 Josh Boyer 2016-10-27 07:10:44 EDT
*** Bug 1389260 has been marked as a duplicate of this bug. ***
Comment 9 Adam Williamson 2016-11-07 14:51:27 EST
This never in fact made stable for F25, as it reached the karma threshold just after freeze. Re-opening and proposing as a blocker for F25 Final, per criterion "The release must contain no known security bugs of 'important' or higher impact according to the Red Hat severity classification scale which cannot be satisfactorily resolved by a package update (e.g. issues during installation)." - https://fedoraproject.org/wiki/Fedora_25_Final_Release_Criteria#Security_bugs
Comment 10 Adam Williamson 2016-11-07 14:55:21 EST
Sorry, false alarm, this was fixed for F25 already. A different CVE is not yet fixed.

Note You need to log in before you can comment on or make changes to this bug.